class aim_control::remirepo {
    package { 'epel-release':
      ensure   => installed,
      provider => 'dnf',
      before   => Package['remi-release'],
    }

    # Ensure the Remi release package is installed
    package { 'remi-release':
      ensure   => installed,
      provider => 'rpm',
      source   => 'https://rpms.remirepo.net/enterprise/remi-release-9.rpm',
      before   => Exec['enable remi-php74'],
    }

    # Enable PHP 7.4 module
    exec { 'enable remi-php74':
      command     => 'dnf module enable php:remi-7.4 -y',
      path        => ['/bin', '/usr/bin'],
      refreshonly => true,
      require     => Package['remi-release'],
    }
  }
